For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Inventory Settings
              • PUTUpdate Inventory Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsInventory

Update Inventory Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/settings/inventory
PUT
/stores/:store_hash/v3/settings/inventory
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/settings/inventory \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "data": {
3 "product_out_of_stock_behavior": "hide_product_and_redirect",
4 "option_out_of_stock_behavior": "label_option",
5 "update_stock_behavior": "order_completed_or_shipped",
6 "edit_order_stock_adjustment": false,
7 "refund_order_stock_adjustment": true,
8 "stock_level_display": "show_when_low",
9 "default_out_of_stock_message": "Sorry, this item is currently out of stock.",
10 "hide_in_product_filtering": false,
11 "show_pre_order_stock_levels": true,
12 "show_out_of_stock_message": true
13 },
14 "meta": {}
15}
Update inventory settings
Was this page helpful?
Previous

Get Inventory Settings

Next

Get Inventory Notifications Settings

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

null set for a particular field removes override on a channel level and means inheritance from a global level
product_out_of_stock_behaviorenumOptional
Describes storefront behavior when product is out of stock.
Allowed values:
option_out_of_stock_behaviorenumOptional
Describes storefront behavior when variant is out of stock.
Allowed values:
update_stock_behaviorenumOptional

Describes when stock levels are updated.

Global settings apply when inventory changes through a manual order. Settings for a channel apply when inventory changes through an order in a channel. These settings affect webhooks that trigger from order-related events, including product, SKU, and inventory webhooks.

Allowed values:
edit_order_stock_adjustmentbooleanOptional

Describes whether stock levels automatically adjust when you edit an order.

Global settings apply when inventory changes through a manual order. Settings for a channel apply when inventory changes through an order in a channel. These settings affect webhooks that trigger from order-related events, including product, SKU, and inventory webhooks.

refund_order_stock_adjustmentbooleanOptional

Describes whether stock levels automatically adjust when you refund or cancel an order.

Global settings apply when inventory changes through a manual order. Settings for a channel apply when inventory changes through an order in a channel. These settings affect webhooks that trigger from order-related events, including product, SKU, and inventory webhooks.

stock_level_displayenumOptional
Describes whether a storefront displays stock levels.
Allowed values:
default_out_of_stock_messagestringOptional
Out of stock message displayed to shoppers.
hide_in_product_filteringbooleanOptional

Describes whether an option is hidden in product filtering. Applies when option_out_of_stock_behavior is set to label_option.

show_pre_order_stock_levelsbooleanOptionalDefaults to false

Describes whether pre-order stock levels are shown.

show_out_of_stock_messagebooleanOptionalDefaults to false

Describes whether out-of-stock messages are shown on product listing pages.

Response

OK, null indicates that a particular field has not been overridden on a channel level when channel level settings are requested
dataobject
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.